Subject: [bug#72803] Add restic commands to the restic-guix package

From: paul <[email-masked]>
Date: Mon, 10 Feb 2025 00:00:41 +0100

Hi Guix,

I'm sending a v6. Compared to v5 it has the nice property of greatly 
simplifying the restic-guix script. Now there are no more multiple guile 
entrypoints (it used to be number of jobs * number of supported actions, 
so quite bad), there is only a single script which has embedded the 
information of all jobs, implements multiple actions and should be 
easily extendible to include more actions (like the init one proposed in 
https://issues.guix.gnu.org/71639 ).

Please let me know your thoughts on this!

Thank you all for your work,

giacomo